Munt 2.0 and 2.1 Debian AMD64 Compiling issues. {FIX}

Just bought your first old school MIDI synthesizer and can't get it to work right? Having trouble getting DOSBox or SCUMMVM to work the way you want? Perhaps we can help. Do you have some neat tips you just want to share with the world? Or maybe you just need help convincing your computer to work. Either way, use this forum for all tech support related needs that somehow relate to MIDI and/or PC Gaming.

Moderator: Quest Studios Archive moderators

Post Reply
jaffa225man
Quest Studios Veteran
Quest Studios Veteran
Posts: 47
Joined: Mon Jul 13, 2015 6:26 pm

Munt 2.0 and 2.1 Debian AMD64 Compiling issues. {FIX}

Post by jaffa225man » Tue Apr 18, 2017 11:46 pm

I was having trouble compiling Munt 2.0 and 2.1 on Debian AMD 64-bit, with these two errors:

Code: Select all

Could not find a package configuration file provided by "QT5Widgets" with
  any of the following names:

    QT5WidgetsConfig.cmake
    qt5widgets-config.cmake
and

Code: Select all

Could not find a package configuration file provided by "Qt5Multimedia"
  with any of the following names:

    Qt5MultimediaConfig.cmake
    qt5multimedia-config.cmake
The packages I needed were qtbase5-dev and, by the same naming scheme, qtmultimedia5-dev

After that, Munt 2.1 finally builds without complaint!

Also, back on topic:
While writing this, I noticed some SysEx messages in the other MIDI files mess up Munt's programming when using its built-in MIDI player. So, with all these files, it's advisable to use another MIDI player connected to Munt's port.

Thanks,

Lucas

andrew603
Site Admin
Site Admin
Posts: 43
Joined: Sat Jul 04, 2015 3:06 am
Location: NJ, USA
Contact:

RE: Munt 2.0 and 2.1 Debian AMD64 Compiling issues. {FIX}

Post by andrew603 » Fri Apr 21, 2017 10:08 am

jaffa225man wrote:
Tue Apr 18, 2017 11:46 pm
This is off-topic, but I haven't seen it documented anywhere, so...
I was having trouble compiling Munt 2.0 and 2.1 on Debian AMD 64-bit, with these two errors:

Code: Select all

Could not find a package configuration file provided by "QT5Widgets" with
  any of the following names:

    QT5WidgetsConfig.cmake
    qt5widgets-config.cmake
and

Code: Select all

Could not find a package configuration file provided by "Qt5Multimedia"
  with any of the following names:

    Qt5MultimediaConfig.cmake
    qt5multimedia-config.cmake
The packages I needed were qtbase5-dev and, by the same naming scheme, qtmultimedia5-dev

After that, Munt 2.1 finally builds without complaint!

Also, back on topic:
While writing this, I noticed some SysEx messages in the other MIDI files mess up Munt's programming when using its built-in MIDI player. So, with all these files, it's advisable to use another MIDI player connected to Munt's port.

Thanks,

Lucas
Interesting stuff! You should definitely post that to the MUNT project pages on either SourceForge or Github if you have not already. I've just made a "Tech support / knowledgebase" subforum. This info could be our first post. :)

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest